Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 103307 - better handling of popup menu in DropDownButtons
better handling of popup menu in DropDownButtons
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks: 102614
  Show dependency treegraph
 
Reported: 2007-05-04 12:09 UTC by Stanislav Aubrecht
Modified: 2008-12-22 12:08 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2007-05-04 12:09:16 UTC
Clicking on the arrow when the menu is already open should close it.
Comment 1 Stanislav Aubrecht 2007-05-11 15:52:07 UTC
it seems vstejskal already fixed this

http://openide.netbeans.org/source/browse/openide/awt/src/org/openide/awt/DropDownButton.java?r1=1.1&r2=1.2
Comment 2 Vitezslav Stejskal 2007-05-22 03:52:12 UTC
Yes, sorry, I didn't know about this issue. I also changed the way how the arrow
is added to the button's icon, the motivation was to make the default
implementation for greying out icons in disabled buttons work. This default
implementation applies GrayFilter on Image, hence it only works for ImageIcons.
Comment 3 Jesse Glick 2007-05-22 17:34:09 UTC
Regarding ImageIcon, I filed issue #104530.
Comment 4 Vitezslav Stejskal 2007-05-24 07:32:31 UTC
The same for DropDownToggleButton.

Checking in DropDownToggleButton.java;
/cvs/openide/awt/src/org/openide/awt/DropDownToggleButton.java,v  <-- 
DropDownToggleButton.java
new revision: 1.3; previous revision: 1.2
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo